# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper Class Reference

Base cass for all class wrappers implementing the translation to/from its VLX representation. More...

`#include <VLXClassWrapper.hpp>`

Inheritance diagram for vl::VLXClassWrapper:

List of all members.

## Public Member Functions

virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *st)=0
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)=0

## Detailed Description

Base cass for all class wrappers implementing the translation to/from its VLX representation.

Definition at line 45 of file VLXClassWrapper.hpp.

## Member Function Documentation

virtual ref<Object> vl::VLXClassWrapper::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | st
| ) |  | `[pure virtual]`

Implemented in vl::VLXClassWrapper_Array, vl::VLXClassWrapper_Geometry, vl::VLXClassWrapper_VertexAttribInfo, vl::VLXClassWrapper_DrawCall, vl::VLXClassWrapper_PatchParameter, vl::VLXClassWrapper_ResourceDatabase, vl::VLXClassWrapper_Uniform, vl::VLXClassWrapper_Shader, vl::VLXClassWrapper_LODEvaluator, vl::VLXClassWrapper_Effect, vl::VLXClassWrapper_Actor, vl::VLXClassWrapper_Camera, vl::VLXClassWrapper_Viewport, vl::VLXClassWrapper_Transform, vl::VLXClassWrapper_Light, vl::VLXClassWrapper_ClipPlane, vl::VLXClassWrapper_GLSLProgram, vl::VLXClassWrapper_GLSLShader, vl::VLXClassWrapper_VertexAttrib, vl::VLXClassWrapper_Color, vl::VLXClassWrapper_SecondaryColor, vl::VLXClassWrapper_Normal, vl::VLXClassWrapper_Material, vl::VLXClassWrapper_ActorEventCallback, vl::VLXClassWrapper_Texture, vl::VLXClassWrapper_TexParameter, and vl::VLXClassWrapper_TextureSampler.

Referenced by vl::VLXSerializer::importVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[pure virtual]`

Implemented in vl::VLXClassWrapper_Array, vl::VLXClassWrapper_Geometry, vl::VLXClassWrapper_VertexAttribInfo, vl::VLXClassWrapper_DrawCall, vl::VLXClassWrapper_PatchParameter, vl::VLXClassWrapper_ResourceDatabase, vl::VLXClassWrapper_Uniform, vl::VLXClassWrapper_Shader, vl::VLXClassWrapper_LODEvaluator, vl::VLXClassWrapper_Effect, vl::VLXClassWrapper_Actor, vl::VLXClassWrapper_Camera, vl::VLXClassWrapper_Viewport, vl::VLXClassWrapper_Transform, vl::VLXClassWrapper_Light, vl::VLXClassWrapper_ClipPlane, vl::VLXClassWrapper_GLSLProgram, vl::VLXClassWrapper_GLSLShader, vl::VLXClassWrapper_VertexAttrib, vl::VLXClassWrapper_Color, vl::VLXClassWrapper_SecondaryColor, vl::VLXClassWrapper_Normal, vl::VLXClassWrapper_Material, vl::VLXClassWrapper_ActorEventCallback, vl::VLXClassWrapper_Texture, vl::VLXClassWrapper_TexParameter, and vl::VLXClassWrapper_TextureSampler.

Referenced by vl::VLXSerializer::exportVLX().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXClassWrapper.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:17.
Permission is granted to use this page to write and publish articles regarding Visualization Library.